Bug 14054 - 246 XSLT Improvements
Summary: 246 XSLT Improvements
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-23 23:32 UTC by Nicole C. Engard
Modified: 2016-06-21 21:40 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14054 - 246 XSLT Improvements Add title type in brackets for field 246 based on 2nd indicator. Overridden by subfield i. Applies to OPAC and staff details. (4.10 KB, patch)
2015-06-04 03:31 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 14054 - 246 XSLT Improvements (7.50 KB, patch)
2015-06-09 14:19 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 14054 - 246 XSLT Improvements (7.56 KB, patch)
2015-06-17 05:57 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 14054 - 246 XSLT Improvements (7.63 KB, patch)
2015-09-23 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-04-23 23:32:25 UTC
246 2nd indicator specifies type of other title, would be nice to display that when 1st indicator 1.  Probaby it would go into brackets like relator terms and would be overridden by subfield i
Comment 1 Winona Salesky 2015-06-04 03:31:46 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-06-04 04:41:03 UTC
Yay! It works!  Thank you!

And now a question:
Should subfield i also go into brackets when it overrides the 2nd indicator?  I think that would make it easier to read too.
Comment 3 Winona Salesky 2015-06-05 02:47:07 UTC
We could do that. Should the display force subfield i to occur at the end as with the titles generated by the indicator? (Makes the most sense to me.)


(In reply to Nick Clemens from comment #2)
> Yay! It works!  Thank you!
> 
> And now a question:
> Should subfield i also go into brackets when it overrides the 2nd indicator?
> I think that would make it easier to read too.
Comment 4 Nick Clemens 2015-06-05 18:55:54 UTC
> Should the display force subfield i to occur at the end as
> with the titles generated by the indicator? (Makes the most sense to me.)

I agree, that makes sense
Comment 5 Winona Salesky 2015-06-06 02:35:19 UTC
Should this apply in both details and results view? Currently only implemented in details view, it may clutter up the results view to have it in both, but I'm flexible. 
-Winona


(In reply to Nick Clemens from comment #4)
> > Should the display force subfield i to occur at the end as
> > with the titles generated by the indicator? (Makes the most sense to me.)
> 
> I agree, that makes sense
Comment 6 Winona Salesky 2015-06-09 14:19:47 UTC Comment hidden (obsolete)
Comment 7 Nick Clemens 2015-06-12 21:37:26 UTC
Looking very good!

Going back to the initial bug filing, I think 246 2nd indicator should display for first indicator either 0 or 1.  According to MARC the values are:

First Indicator
Note/added entry controller
0 - Note, no added entry
1 - Note, added entry
2 - No note, no added entry
3 - No note, added entry

I don't know if 2 or 3 actually means you are not supposed to display the title at all, but I always prefer seeing it so am not rocking that boat unless someone else wants to chime in.
Comment 8 Winona Salesky 2015-06-15 14:53:13 UTC
Anyone else have an opinion on the first indicator? Should 246 only display for ind1=1 or 0? 

Thanks!
-Winona



(In reply to Nick Clemens from comment #7)
> Looking very good!
> 
> Going back to the initial bug filing, I think 246 2nd indicator should
> display for first indicator either 0 or 1.  According to MARC the values are:
> 
> First Indicator
> Note/added entry controller
> 0 - Note, no added entry
> 1 - Note, added entry
> 2 - No note, no added entry
> 3 - No note, added entry
> 
> I don't know if 2 or 3 actually means you are not supposed to display the
> title at all, but I always prefer seeing it so am not rocking that boat
> unless someone else wants to chime in.
Comment 9 Indranil Das Gupta 2015-06-17 05:57:16 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2015-09-23 10:43:59 UTC
Can I have a more detailed test plan please, I don't manage to see the difference pre and post patch.
Comment 11 Jonathan Druart 2015-09-23 10:51:58 UTC
Created attachment 42802 [details] [review]
Bug 14054 - 246 XSLT Improvements

Adds other title type based on ind2 value. ind2 overridden by $i value.

Signed-off-by: Indranil Das Gupta (L2C2 Technologies) <indradg@gmail.com>
Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Jonathan Druart 2015-09-23 10:52:34 UTC
ok sorry, I was not using the correct XSLT file :-/
Comment 13 Tomás Cohen Arazi 2015-09-28 15:15:32 UTC
Patch pushed to master.

Thanks Winona!
Comment 14 Winona Salesky 2015-09-28 15:16:24 UTC
Great! 
Thank you, 
-Winona

(In reply to Tomás Cohen Arazi from comment #13)
> Patch pushed to master.
> 
> Thanks Winona!